﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace BaseChartViewProject
{
    public class MainViewModel
    {
        public ObservableCollection<DataItem> Items1 { get; set; }
        public ObservableCollection<DataItem> Items2 { get; set; }
        public ObservableCollection<DataItem> Items3 { get; set; }

        public MainViewModel()
        {

            var date1 = DateTime.Now;
            var date2 = DateTime.Now.AddMonths(1);
            var date3 = DateTime.Now.AddMonths(2);

            this.Items1 = new ObservableCollection<DataItem>
            {
                new DataItem { XCategory = date1, YValue = 40  },
                new DataItem { XCategory = date2, YValue = 20  },
                new DataItem { XCategory = date3, YValue = 30  }
            };

            this.Items2 = new ObservableCollection<DataItem>
            {
                new DataItem { XCategory =  date1, YValue = 45  },
                new DataItem { XCategory =  date2, YValue = 20  },
                new DataItem { XCategory =  date3, YValue = 20  }
            };

            this.Items3 = new ObservableCollection<DataItem>
            {
                new DataItem { XCategory =  date1, YValue = 45  },
                new DataItem { XCategory =  date2, YValue = 30  },
                new DataItem { XCategory =  date3, YValue = 40  }
            };
        }
    }

    public class DataItem
    {
        public DateTime XCategory { get; set; }
        public double YValue { get; set; }
    }
}
